package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.TaxaEmbLevanteCtrl;

public class RenderTaxaEmbLevanteCtrl implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {

		TaxaEmbLevanteCtrl t = (TaxaEmbLevanteCtrl) o;

		Listcell lc = new Listcell(t.getTaxaEmbLevanteCtrlId().toString());
		lc.setParent(lstm);

		lc = new Listcell(t.getRuta().getDescruta());
		lc.setParent(lstm);

		lc = new Listcell(t.getOrigem().getDescparada());
		lc.setParent(lstm);

		lc = new Listcell(t.getDestino().getDescparada());
		lc.setParent(lstm);

		lstm.setAttribute("data", t);
	}

}
